Bug 165335 - Deadlock in OpenIDE-request-processor-8
Deadlock in OpenIDE-request-processor-8
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Jan Jancura
issues@editor
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 21:47 UTC by mikael
Modified: 2009-06-08 16:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mikael 2009-05-16 21:47:27 UTC
NetBeans IDE Dev 200905140201
From JConsole:
Name: OpenIDE-request-processor-8
State: BLOCKED on java.lang.Object@3d6f39ca owned by: Java Source Worker Thread
Total blocked: 57  Total waited: 39

Name: Java Source Worker Thread
State: BLOCKED on org.netbeans.modules.parsing.impl.TaskProcessor$InternalLock@3c9a1023 owned by:
OpenIDE-request-processor-8
Total blocked: 1,435  Total waited: 1,061
Comment 1 mikael 2009-05-16 21:49:12 UTC
Name: OpenIDE-request-processor-8
State: BLOCKED on java.lang.Object@3d6f39ca owned by: Java Source Worker Thread
Total blocked: 57  Total waited: 39

Stack trace: 
org.netbeans.modules.parsing.impl.TaskProcessor$CurrentRequestReference.cancelCompleted(TaskProcessor.java:1037)
org.netbeans.modules.parsing.impl.TaskProcessor.handleAddRequests(TaskProcessor.java:501)
org.netbeans.modules.parsing.impl.TaskProcessor.addPhaseCompletionTasks(TaskProcessor.java:306)
org.netbeans.modules.parsing.impl.TaskProcessor.updatePhaseCompletionTask(TaskProcessor.java:400)
   - locked org.netbeans.modules.parsing.impl.TaskProcessor$InternalLock@3c9a1023
org.netbeans.modules.parsing.impl.SourceCache.scheduleTasks(SourceCache.java:425)
org.netbeans.modules.parsing.spi.Scheduler$1.run(Scheduler.java:155)
org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:576)
org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1013)


Name: Java Source Worker Thread
State: BLOCKED on org.netbeans.modules.parsing.impl.TaskProcessor$InternalLock@3c9a1023 owned by:
OpenIDE-request-processor-8
Total blocked: 1,435  Total waited: 1,061

Stack trace: 
org.netbeans.modules.parsing.impl.SourceCache.getSnapshot(SourceCache.java:114)
org.netbeans.modules.parsing.impl.TaskProcessor$CurrentRequestReference.setCurrentTask(TaskProcessor.java:895)
   - locked java.lang.Object@3d6f39ca
org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:706)
java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
java.util.concurrent.FutureTask.run(FutureTask.java:138)
java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
java.lang.Thread.run(Thread.java:619)
Comment 2 Andrei Chistiakov 2009-05-17 22:30:02 UTC
Could you please provide steps to reproduce the issue along with thread dump. http://wiki.netbeans.org/GenerateThreadDump
Thanks
Comment 3 mikael 2009-05-18 07:58:00 UTC
I had just opened my second Java source file, not doing anything in particular. The stacktrace of the two deadlocked
threads are in my comments. Concurrency issues are not easily repoduced. I'l append a full stacktrace if I encounter the
problem again.
Comment 4 Vitezslav Stejskal 2009-06-08 16:54:40 UTC
I don't have the issue number at hand, but this is already fixed, please use newer build. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo